JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_Enumerate.h File Reference

## Classes
struct | Enumerated< Index, Value >
| Returned when dereferencing an EnumerateIterator. More...
class | EnumerateIterator< Iter, Index >
| An iterator that wraps some other iterator, keeping track of the relative position of that iterator based on calls to arithmetic operators such as operator++(), operator--(), operator+(), and operator-(). More...
class | IteratorPair< Begin, End >
| Wraps a pair of iterators, providing member begin() and end() functions that return those iterators. More...

## Functions
template<typename Begin , typename End = Begin>
constexpr auto | makeRange (Begin begin, End end)
| Given two iterators "begin" and "end", returns an IteratorPair with a member begin() and end() function.
template<typename Range , typename Index = detail::withAdlSize::AdlSignedSize<Range>>
constexpr auto | enumerate (Range &&range, Index startingValue={})
| Given a range and an optional starting offset, returns an IteratorPair that holds EnumerateIterators wrapping the begin() and end() of the range.